## Proposed Tech stack
- NodeJS
- Express
- Postgresql
- Luxon

## How to deal with date and time in PostgreSQL?
- use `datetime` datatype without timezone (datetime with timezone is using offset, which doesn't work well with DST)
- store datetime in UTC
- add timezone information separately, use `Full time zone name` (human friendly)
- use `ISO 8601` format, which is human friendly to read and supported by every library


See:
- https://www.moesif.com/blog/technical/timestamp/manage-datetime-timestamp-timezones-in-api/
- https://www.postgresql.org/docs/current/datatype-datetime.html


## Inspiration
- Framadate: https://framadate.org/
- Omnipointment: https://omnipointment.com
- When is Good: http://whenisgood.net/
- Xoyondo: https://xoyondo.com/
